package com.weather.common.constant;

/**
 * @author : fengyuhao
 * @desc : 状态码 说明
 * @update : 修改说明
 * @date : 2020/2/26-01:22

 */
public class ApiConstant {

    /**
     * 状态码
     * 200-成功，并且查询有数据-也可能不是满页，新增存入数据库了
     * 300-浏览器是重定向，接口用不到
     * 400-失败----客户端问题：请求参数-路径-间隔时间-Ip限制等等 坏的请求
     * 401 未授权 需要登录
     * 402 参数异常
     * 403 禁止请求
     * 404 请求地址错误 未找到
     * 405 签名错误
     * 500-服务器内部错误
     */
    public static Integer CODE_SUCCESS = 200;
    public static Integer CODE_SUCCESS_NODATA = 201;
    public static Integer CODE_BAD_REQUEST = 400;
    public static Integer CODE_ERROR_TOKEN = 401;
    public static Integer CODE_ERROR_PARAM = 402;
    public static Integer CODE_ERROR_SIGN = 405;



    /**
     * Access Token在session中存储的变量名
     */
    public static final String COOKIE_ACCESS_TOKEN = "ACCESS_TOKEN";

}
