package com.weather.common.exception;

import lombok.Getter;

/**
 * @author : fengyuhao
 * @desc : 自定义异常类
 * @update : 修改说明
 * @date : 2020/2/26-01:05

 */
@Getter
public class ApiException extends RuntimeException{

    private static final long serialVersionUID = -8948709810310875016L;
    private ExceptionEnum exceptionEnum;

    private int  code;
    private String  message;

    public ApiException(ExceptionEnum exceptionEnum) {
        this.exceptionEnum = exceptionEnum;
    }

    public ApiException(int code, String message) {
        this.code=code;
        this.message=message;
    }



}
