package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 农作物信息
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@Accessors(chain = true)
@TableName("crop_name")
@ApiModel(value="CropNameEntity对象", description="农作物信息")
public class CropName implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    @ApiModelProperty(value = "作物名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "作物分类名称")
    @TableField("type_name")
    private String typeName;

}
