package com.weather.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author feng
 * @since 2023-08-30
 */
@Data
@TableName("guizhou_region")
@Accessors(chain = true)
@ApiModel(value="GuizhouRegion对象", description="行政区划")
public class GuizhouRegion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Long id;

    @ApiModelProperty(value = "行政区码")
    @TableField("adcode")
    private Integer adcode;


    @ApiModelProperty(value = "上级行政区码")
    @TableField("up_adcode")
    private Integer upAdcode;

    @ApiModelProperty(value = "部门ID")
    @TableField("dept_id")
    private Long deptId;

    @ApiModelProperty(value = "行政区名称")
    @TableField("add_name")

    private String addName;


}
