package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@Accessors(chain = true)
@TableName("weather_alert")
@ApiModel(value="WeatherAlertEntity对象", description="")
public class WeatherAlert implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    @ApiModelProperty(value = "区县名")
    @TableField("county_name")
    private String countyName;

    @ApiModelProperty(value = "区县码")
    @TableField("county_code")
    private String countyCode;

    @ApiModelProperty(value = "发布时间")
    @TableField("date_time")
    private String datetime;

    @ApiModelProperty(value = "预警信号状态:0,解除；1，首发；2，升级。")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "预警信号类型")
    @TableField("warning_type")
    private String warningType;

    @ApiModelProperty(value = "预警信号等级")
    @TableField("warning_level")
    private String warningLevel;

    @ApiModelProperty(value = "预警信号内容")
    @TableField("warning_description")
    private String warningDescription;


}
