package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@Accessors(chain = true)
@TableName("weather_product_type")
@ApiModel(value="WeatherProductTypeEntity对象", description="")
public class WeatherProductType implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "农气产品种类")
    @TableField(value = "product_type_id")
    private String productTypeId;

    @ApiModelProperty(value = "农气产品种类名称")
    @TableField("product_type_name")
    private String productTypeName;


}
