package com.weather.mapper;

import com.weather.entity.SysRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 角色信息表 Mapper 接口
 * </p>
 *
 * @author feng
 * @since 2023-09-01
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    /**
     * 新增角色信息
     *
     * @param role 角色信息
     * @return 结果
     */
    public int insertRole(SysRole role);
}
