package com.weather.mapper;

import com.weather.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.weather.vo.SysUser1;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @author feng
 * @since 2023-09-01
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 通过用户ID查询用户
     *
     * @param userId 用户ID
     * @return 用户对象信息
     */
    public SysUser selectUserById(Long userId);

    public SysUser1 selectUserById1(Long userId);

}
