package com.weather.vo.res;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@ApiModel(value="AgriculturalWeatherForecastEntity对象res")
public class AgriculturalWeatherForecastRes implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "所在县")
    private String stationCode;

    @ApiModelProperty(value = "县级")
    private String county;

    @ApiModelProperty(value = "作物名称")
    private String cropName;

    @ApiModelProperty(value = "发育期")
    private String bearingPeriod;

    @ApiModelProperty(value = "第一天预报")
    private String t1Forecast;
    private String t1Date;
    private String t1Weather;

    @ApiModelProperty(value = "第2天预报")
    private String t2Forecast;
    private String t2Date;
    private String t2Weather;

    @ApiModelProperty(value = "第3天预报")
    private String t3Forecast;
    private String t3Date;
    private String t3Weather;

    @ApiModelProperty(value = "第4天预报")
    private String t4Forecast;
    private String t4Date;
    private String t4Weather;

    @ApiModelProperty(value = "第5天预报")
    private String t5Forecast;
    private String t5Date;
    private String t5Weather;

    @ApiModelProperty(value = "第6天预报")
    private String t6Forecast;
    private String t6Date;
    private String t6Weather;

    @ApiModelProperty(value = "第7天预报")
    private String t7Forecast;
    private String t7Date;
    private String t7Weather;



}
