package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDate;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 气候品质 品质认证
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-03-28
 */
@Data
@Accessors(chain = true)
@TableName("agricultural_quality_certification")
@ApiModel(value="AgriculturalQualityCertificationEntity对象", description="气候品质 品质认证")
public class AgriculturalQualityCertification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证对象")
    @TableField("certi_object")
    private String certiObject;

    @ApiModelProperty(value = "认证时间")
    @TableField("certi_date")
    private LocalDate certiDate;

    @ApiModelProperty(value = "认证结果")
    @TableField("certi_result")
    private String certiResult;

    @ApiModelProperty(value = "认证产品路径")
    @TableField("product_url")
    private String productUrl;


}
