package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@Accessors(chain = true)
@TableName("agricultural_weather_forecast")
@ApiModel(value="AgriculturalWeatherForecastEntity对象", description="")
public class AgriculturalWeatherForecast implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    @ApiModelProperty(value = "所在县")
    @TableField("station_code")
    private String stationCode;

    @ApiModelProperty(value = "县级")
    @TableField("county")
    private String county;

    @ApiModelProperty(value = "作物名称")
    @TableField("crop_name")
    private String cropName;

    @ApiModelProperty(value = "发育期")
    @TableField("bearing_period")
    private String bearingPeriod;

    @ApiModelProperty(value = "第一天预报")
    @TableField("t1_forecast")
    private String t1Forecast;

    @ApiModelProperty(value = "第2天预报")
    @TableField("t2_forecast")
    private String t2Forecast;

    @ApiModelProperty(value = "第3天预报")
    @TableField("t3_forecast")
    private String t3Forecast;

    @ApiModelProperty(value = "第4天预报")
    @TableField("t4_forecast")
    private String t4Forecast;

    @ApiModelProperty(value = "第5天预报")
    @TableField("t5_forecast")
    private String t5Forecast;

    @ApiModelProperty(value = "第6天预报")
    @TableField("t6_forecast")
    private String t6Forecast;

    @ApiModelProperty(value = "第7天预报")
    @TableField("t7_forecast")
    private String t7Forecast;


}
