package com.weather.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
@Accessors(chain = true)
@TableName("weather_forcast_code")
@ApiModel(value="WeatherForcastCodeEntity对象", description="")
public class WeatherForcastCode implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    @ApiModelProperty(value = "天气码")
    @TableField("weather_code")
    private Integer weatherCode;

    @ApiModelProperty(value = "天气现象")
    @TableField("weather_name")
    private String weatherName;


}
