package com.weather.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 行政区划
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-02
 */
@Data
public class GuizhouRegionRes implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "行政区码")
    private Integer adcode;

    @ApiModelProperty(value = "上级行政区码")
    private Integer upAdcode;

    @ApiModelProperty(value = "部门码")
    private Long deptId;

    @ApiModelProperty(value = "行政区名称")
    private String addName;


}
