package com.weather.vo.res;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 站点基本信息
 * </p>
 *
 * @author : fengyuhao
 * @since 2021-02-04
 */
@Data
@Accessors(chain = true)
@ApiModel(value="StationBaseElementsEntity对象res", description="站点基本信息")
public class StationBaseElementsRes {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "市")
    @TableField("city")
    private String city;

    @ApiModelProperty(value = "县")
    @TableField("county")
    private String county;


    @ApiModelProperty(value = "站号")
    @TableField("station_code")
    private String stationCode;


    @ApiModelProperty(value = "纬度")
    @TableField("lat")
    private String lat;

    @ApiModelProperty(value = "经度")
    @TableField("lon")
    private String lon;


}
