package com.weather.vo.res;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author : fengyuhao
 * @desc : TODO
 * @update : 修改说明
 * @date : 2021/3/26-下午9:26
 * @version: 1.0
 * @email : 459638186@qq.com
 * @company: yuannongye
 * @path : com.weather.vo.res.WeatherProductInfoRes
 */
@Data
public class WeatherProductInfoRes  implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "产品区域")
    private String productArea;

    @ApiModelProperty(value = "城市名称")
    private String cityname;

    @ApiModelProperty(value = "产品种类id")
    private String productTypeId;

    @ApiModelProperty(value = "产品标题")
    private String productTitle;

    @ApiModelProperty(value = "产品存放路径")
    private String productUrl;

    @ApiModelProperty(value = "pdf格式产品路径")
    private String productPdfUrl;

    @ApiModelProperty(value = "发布时间")
    private String productTime;

    @ApiModelProperty(value = "发布时间1")
    private String date;

    @ApiModelProperty(value = "发布时间2")
    private String time;

    @ApiModelProperty(value = "产品种类名称")
    private String productTypeName;

}
